Package com.independentsoft.office.spreadsheet.extensions

# Class X14Sparkline

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.X14Sparkline

public class X14Sparkline extends Object
Represents a single sparkline (x14:sparkline element).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X14Sparkline()`
  Instantiates a new x14 sparkline.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X14Sparkline`
  `clone()`
  `String`
  `getFormula()`
  Gets the data range formula (xm:f element).
  `String`
  `getReference()`
  Gets the cell the sparkline is displayed in (xm:sqref element).
  `void`
  `setFormula​(String formula)`
  Sets the data range formula (xm:f element).
  `void`
  `setReference​(String reference)`
  Sets the cell the sparkline is displayed in (xm:sqref element).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### X14Sparkline

    public X14Sparkline()
    Instantiates a new x14 sparkline.

- ## Method Details

  - ### clone

    public X14Sparkline clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFormula

    public String getFormula()
    Gets the data range formula (xm:f element).
    Returns:
      the data range formula

  - ### setFormula

    public void setFormula​(String formula)
    Sets the data range formula (xm:f element).
    Parameters:
      `formula` - the new data range formula

  - ### getReference

    public String getReference()
    Gets the cell the sparkline is displayed in (xm:sqref element).
    Returns:
      the cell the sparkline is displayed in

  - ### setReference

    public void setReference​(String reference)
    Sets the cell the sparkline is displayed in (xm:sqref element).
    Parameters:
      `reference` - the new cell the sparkline is displayed in